Index: doc/src/sgml/release.sgml
===================================================================
RCS file: /var/lib/cvs/pgsql-server/doc/src/sgml/release.sgml,v
retrieving revision 1.242
diff -c -r1.242 release.sgml
*** doc/src/sgml/release.sgml	15 Nov 2003 20:01:11 -0000	1.242
--- doc/src/sgml/release.sgml	16 Nov 2003 00:03:25 -0000
***************
*** 1059,1067 ****
       <para>Allow cursors outside transactions using <literal>WITH HOLD</literal> (Neil)</para>
       <para>
        In previous releases, cursors were removed at the end of the
!       transaction. Using <literal>WITH HOLD</literal>, the current
!       release allows cursors to remain readable after the creating
!       transaction.
       </para>
      </listitem>
  
--- 1059,1068 ----
       <para>Allow cursors outside transactions using <literal>WITH HOLD</literal> (Neil)</para>
       <para>
        In previous releases, cursors were removed at the end of the
!       transaction that created them. Cursors can now be created with
!       the <literal>WITH HOLD</literal> option, which allows them to
!       continue to be accessed after the creating transaction has
!       committed.
       </para>
      </listitem>
  
***************
*** 1091,1106 ****
       <para>Properly handle <literal>SCROLL</literal> with cursors, or
       report an error (Neil)</para>
       <para>
!       Certain cursors can not be fetched backwards optimally. By
!       specifying <literal>SCROLL</literal>, extra work will be
!       performed to guarantee that the cursor can be fetched in reverse
!       or random order.
       </para>
      </listitem>
  
      <listitem>
       <para>
!       Implement SQL-compatible option <literal>FIRST</>,
        <literal>LAST</>, <literal>ABSOLUTE <replaceable>n</></>,
        <literal>RELATIVE <replaceable>n</></> for
        <command>FETCH</command> and <command>MOVE</command> (Tom)
--- 1092,1109 ----
       <para>Properly handle <literal>SCROLL</literal> with cursors, or
       report an error (Neil)</para>
       <para>
!       Allowing random access (both forward and backward scrolling) to
!       some kinds of queries cannot be done without some additional
!       work. If <literal>SCROLL</literal> is specified when the cursor
!       is created, this additional work will be performed. Furthermore,
!       if the cursor has been created with <literal>NO SCROLL</literal>,
!       no random access is allowed.
       </para>
      </listitem>
  
      <listitem>
       <para>
!       Implement SQL-compatible options <literal>FIRST</>,
        <literal>LAST</>, <literal>ABSOLUTE <replaceable>n</></>,
        <literal>RELATIVE <replaceable>n</></> for
        <command>FETCH</command> and <command>MOVE</command> (Tom)
***************
*** 1151,1157 ****
       <para>Make <command>TRUNCATE</command> transaction-safe (Rod)</para>
       <para>
        <command>TRUNCATE</command> can now be used inside a
!       transaction, and rolled back if the transaction aborts.
       </para>
      </listitem>
  
--- 1154,1161 ----
       <para>Make <command>TRUNCATE</command> transaction-safe (Rod)</para>
       <para>
        <command>TRUNCATE</command> can now be used inside a
!       transaction. If the transaction aborts, the changes made by the
!       <command>TRUNCATE</command> are automatically rolled back.
       </para>
      </listitem>
  
